{% extends "base.html" %}

{% block links %}
{{ super() }}
{% endblock %}


{% block title %}
Infos de "{{ company.name }}"
{% endblock %}




{% block header %}
{% include "sub_templates/header.html" %}
{% endblock %}



{% block main %}
<h1 class="text-2xl font-semibold text-center mb-10">Informations de "{{ company.name }}"</h1>

<div class="flex gap-5">
    <section class="shadow rounded px-4 py-3 w-1/3">
        <h2 class="text-lg font-semibold mb-2">Infos de l'entreprise</h2>


        <table class="w-full rounded-lg overflow-hidden border border-collapse">
            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Adresse complète</th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{ company.address }}, {{ company.cpostal }} - {{ company.ville }} </td>
            </tr>
            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Numéro de
                    téléphone</th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{ company.contact_phone }}</td>
            </tr>

            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Email</th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{ company.contact_email }}</td>
            </tr>

            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Numéro SIRET</th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{ company.siret }}
                </td>
            </tr>
        </table>


        <h2 class="text-lg font-semibold mb-2 mt-5">Infos du responsable</h2>


        <table class="w-full rounded-lg overflow-hidden border border-collapse">
            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Nom</th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{ company.responsable.first_name }}
                    {{ company.responsable.last_name }}</td>
            </tr>
            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Numéro de
                    téléphone</th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{ company.responsable.phone_number }}</td>
            </tr>

            <tr class="bg-gray-50 text-gray-900 text-sm w-full">
                <th class="bg-[#ececec] font-normal px-2.5 py-2 text-left overflow-hidden">Email</th>
                <td class="px-2.5 py-2 overflow-hidden w-[70%]">{{ company.responsable.email }}</td>
            </tr>

        </table>
    </section>



    <section class="shadow rounded px-4 py-3 w-2/3 flex flex-col">
        <h2 class="text-lg font-semibold mb-2">Activités de l'entreprise</h2>

        <ul class="text-sm">
            {% for act in activities %}
            <li>- {{ act.activity.domaine }}</li>
            {% endfor %}
        </ul>

        <a onclick="toggleLayer()" data-layer-id="" class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 w-fit mt-2"
        href="{{ url_for('edit_company', id = company.id) }}">Modifier les activités</a><br>


        <a class="text-[var(--blue)] underline my-2" href="{{ url_for('company_offres', id = company.id) }}">Voir les
            offres de stage et d'alternance</a>

        {% if current_user.role_id != 1 %}
        <a class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 w-fit"
            href="{{ url_for('edit_company', id = company.id) }}">Modifier les
            infos de l'entreprise</a><br>

        <a class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 w-fit"
            href="{{ url_for('action_company', id = company.id, action = 'delete') }}">Supprimer
            l'entreprise</a><br>

        {% else %}
        <a href="{{ url_for('add_problem') }}"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 w-fit">Un
            problème ?</a>

        {% endif %}
    </section>
</div>


{% endblock %}

{% block footer %}
{% include "sub_templates/footer.html" %}
{% endblock footer%}


{% block script %}
{{ super() }}
{% endblock %}